<?php
$image_dir = "images/eshop_products/";
$cart = new Zend_Session_Namespace('Cart');
$actual_url = "/";
if (isset($this->breadcrumbs[1])) {
    $actual_url = "/".$this->breadcrumbs[1]['alias']."/";
}
$id = $this->product->getProductId();
?>
<div class="product-detail-imageholder">
    <?php
    if (Zend_Uri::check(IMG_URL . $image_dir . $this->product->getProductId() . "_detail.jpg")) {
        ?>
        <a href='<?= IMG_URL . $image_dir . $this->product->getProductId() ?>_detail.jpg' class="fancybox" rel="group" >
            <img src="/graphics/lupa_detail.png" class="product-enlarge" title='<?= $this->product->getTitle() ?>' />
        </a>
        <?php
    }
    if (Zend_Uri::check(IMG_URL . $image_dir . $this->product->getProductId() . "_detail.jpg")) {
        ?>
        <img src="<?= IMG_URL . $image_dir . $this->product->getProductId() ?>_detail.jpg" class="product-image" title='<?= $this->product->getTitle() ?>' />
    <?php } ?>     
</div>
<div class="product-detail-textholder">
    <table>
        <tr>
            <td style="width: 140px;">
                <h4>Vinařství: </h4>
            </td>
            <td>
                <?php $viticulture = $this->product->getViticulture(); ?>
                <a href="<?= $viticulture['alias'] ?>">
                    <h4 class="yellow">
                        <?= $viticulture['title'] ?>
                    </h4>
                </a>    
            </td> 
        </tr>
        <?php
        $rocnik = $this->product->getMaterial();
        if (!empty($rocnik)) {
            ?>    
            <tr>
                <td>
                    <h4>Ročník:</h4>
                </td>
                <td>
                    <h4 class="yellow"><?= $rocnik ?></h4>
                </td> 
            </tr>
        <?php } ?>
        <tr>
            <td>
                <h4>Objem:</h4>
            </td>
            <td>
                <h4><?= $this->product->getSize() ?></h4>
            </td> 
        </tr>
        <tr>
            <td>
                <h4>Skladem:</h4>
            </td>
            <td>
                <h4><?= ($this->product->getAvailable() > 0) ? $this->product->getAvailable() . " ks" : "není skladem (+3 dny dodací lhůta)" ?></h4>
            </td> 
        </tr>
    </table>
    <p>
        <?= $this->product->getText() ?>
    </p>
    <div class="product-detail-priceholder">
        <div class="floatleft">
            <h4>Cena:</h4>
            <h4>
                <span class="product-detail-price">
                    <?= str_replace(",00", "", $this->currency->toCurrency($this->product->getPrice())) ?>
                </span>/<?= $this->product->getSize() ?>
            </h4>
        </div>
        <div class="floatright product-detail-formholder">
            <?php
            if (!empty($cart->$id)) {
                //Produkt již JE v košíku
            }
            $uri_array = explode("/", $_SERVER['REQUEST_URI']);
            unset($uri_array[0]);
            array_pop($uri_array);
            $description = str_replace(' ', '%20', trim($this->product->getTitle()));
            //$description = preg_replace('/[^A-Za-z0-9\-]/', '', $description);
            ?>              
            <input type="text" name="quantity" id="quantity" class="product-detail-input" value="1" />            
            <span class="product-detail-ks">ks</span>                      
            <button class="product-detail-button" class="pointer" onClick="javascript: addProductToCart('<?= $this->product->getProductId(); ?>', '<?= $this->product->getPrice(); ?>', document.getElementById('quantity').value, false);">
                Koupit
            </button> 
            <div class="floatright" style="position: absolute; margin-left: 100px; margin-top: 6px;" >
                <p id="product-sum-info-<?= $this->product->getProductId(); ?>" class="<?php echo ($this->product->getQuantityInCart() > 0) ? '' : 'hidden'; ?>">(
                    <span id="product-sum-<?= $this->product->getProductId(); ?>">
                        <?= $this->product->getQuantityInCart(); ?>
                    </span>) kusy již v košíku
                    <!-- only for flying animation purpose => invisible -->
                    <img src='/graphics/kosik.png' class="hidden" />
                </p>
            </div>
            <!--  
            <form method="post" action="/cart/add/">
                <input type="hidden" name="product_id" value="<?= $this->product->getProductId() ?>" />
                <input type="hidden" name="redirect" value="<?= $_SERVER['REQUEST_URI'] ?>" />                <input type="text" name="quantity" class="product-detail-input" value="1" />
                <span class="product-detail-ks">ks</span>
                <input type="submit" class="product-detail-button" value="Koupit" />
            </form>            
            -->
        </div>
    </div>    
</div>
<div class="clear"></div>
<?php if (!empty($this->products)) { ?>
    <h2 class="subcat-title">PODOBNÁ VÍNA</h2>
    <hr class="subcat-title-underline">
    <?php
    $i = 0;
    foreach ($this->products as $k => $oProduct) {
        if ($i == 0) {
            ?>
            <!-- begin container -->
            <div class="clear"></div>
            <div class="product-container">
                <?php
            }
            include "i_products.phtml";
            $i++;
            if ($i >= 4) {
                ?>
                <span class="stretch"></span>                
            </div>
            <!-- end container -->
            <?php
            $i = 0;
        }
    }
    if (($i != 4) && ($i != 0)) {
        ?>
        <span class="stretch"></span>                
        </div>    
        <?php
    }
}

